<template>
  <v-card>
    <v-img
      :src="
        movie.Poster === 'N/A'
          ? 'https://via.placeholder.com/300.jpg'
          : movie.Poster
      "
      aspect-ratio="0.85"
      style="cursor: pointer"
      @click="getMovieDetails(movie.imdbID)"
    ></v-img>

    <v-list height="80">
      <v-list-item>
        <v-list-item-content>
          <v-list-item-title style="white-space: normal">
            {{ movie.Title }} ({{ movie.Year }})
          </v-list-item-title>
        </v-list-item-content>
      </v-list-item>
    </v-list>

    <v-card-actions class="justify-center">
      <v-btn
        text
        color="deep-purple accent-4"
        @click="getMovieDetails(movie.imdbID)"
      >
        View
      </v-btn>
      <v-btn
        v-show="movie.isFavorite"
        text
        color="deep-purple accent-4"
        @click="removeFromFavorites(movie)"
      >
        Dislike
      </v-btn>
      <v-btn
        v-show="!movie.isFavorite"
        text
        color="deep-purple accent-4"
        @click="addToFavorites(movie)"
      >
        Like
      </v-btn>
    </v-card-actions>
  </v-card>
</template>

<script>
export default {
  name: 'BaseMovieListItem',
  props: {
    movie: {
      type: Object,
      required: true
    }
  },
  data() {
    return {};
  },
  methods: {
    getMovieDetails(id) {
      this.$emit('getMovieDetails', id);
    },
    addToFavorites(movie) {
      this.$emit('addToFavorites', movie);
    },
    removeFromFavorites(movie) {
      this.$emit('removeFromFavorites', movie);
    }
  }
};
</script>
